Bug 1577125 - inkscape killed by SIGABRT - when double-clicking text with cursor tool
Summary: inkscape killed by SIGABRT - when double-clicking text with cursor tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 09:00 UTC by Douglas
Modified: 2019-01-21 02:02 UTC (History)
7 users (show)

Fixed In Version: inkscape-0.92.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-21 02:02:22 UTC


Attachments (Terms of Use)
GIF showing the moment it crashes (162.72 KB, image/gif)
2018-05-11 09:00 UTC, Douglas
no flags Details
core_backtrace (21.60 KB, text/plain)
2018-05-11 09:02 UTC, Douglas
no flags Details
OS INFO (623 bytes, text/plain)
2018-05-11 09:05 UTC, Douglas
no flags Details
environ (3.59 KB, text/plain)
2018-05-11 09:06 UTC, Douglas
no flags Details
cgroup (331 bytes, text/plain)
2018-05-11 09:11 UTC, Douglas
no flags Details
cpu-info (1.47 KB, text/plain)
2018-05-11 09:11 UTC, Douglas
no flags Details
dso-log (13.48 KB, text/plain)
2018-05-11 09:12 UTC, Douglas
no flags Details
event-log (19.97 KB, text/plain)
2018-05-11 09:12 UTC, Douglas
no flags Details
limits (1.29 KB, text/plain)
2018-05-11 09:13 UTC, Douglas
no flags Details
maps (62.98 KB, text/plain)
2018-05-11 09:13 UTC, Douglas
no flags Details
open-fds (682 bytes, text/plain)
2018-05-11 09:13 UTC, Douglas
no flags Details
proc-pid-status (1.21 KB, text/plain)
2018-05-11 09:14 UTC, Douglas
no flags Details
user-logs (607 bytes, text/x-vhdl)
2018-05-11 09:14 UTC, Douglas
no flags Details

Description Douglas 2018-05-11 09:00:17 UTC
Created attachment 1434812 [details]
GIF showing the moment it crashes

####
Description of problem:
####
Inkscape crashes when dealing with text. Most commonly reproduced by double clicking over a text when you have the cursor tool selected.

####
Version-Release number of selected component (if applicable):
####
0.92.3

####
How reproducible:
####
Always

####
Steps to Reproduce:
####
1. Select text tool, write any text on the workspace
2. Press F1 to select the cursor tool
3. Double-click over that text.

####
Actual results:
####
Inkscape crashes

####
Additional info:
####
For now I am using the version of Inkscape provided by Flathub. It doesn't have this problem.

Comment 1 Douglas 2018-05-11 09:02:53 UTC
Created attachment 1434813 [details]
core_backtrace

ABRT failed with "Backtrace is inutilized" or something. So I'm posting them manually here.

Comment 2 Douglas 2018-05-11 09:05:38 UTC
Created attachment 1434814 [details]
OS INFO

Comment 3 Douglas 2018-05-11 09:06:31 UTC
Created attachment 1434815 [details]
environ

Comment 4 Douglas 2018-05-11 09:11:24 UTC
Created attachment 1434816 [details]
cgroup

Comment 5 Douglas 2018-05-11 09:11:45 UTC
Created attachment 1434818 [details]
cpu-info

Comment 6 Douglas 2018-05-11 09:12:16 UTC
Created attachment 1434819 [details]
dso-log

Comment 7 Douglas 2018-05-11 09:12:45 UTC
Created attachment 1434820 [details]
event-log

Comment 8 Douglas 2018-05-11 09:13:04 UTC
Created attachment 1434821 [details]
limits

Comment 9 Douglas 2018-05-11 09:13:21 UTC
Created attachment 1434822 [details]
maps

Comment 10 Douglas 2018-05-11 09:13:41 UTC
Created attachment 1434824 [details]
open-fds

Comment 11 Douglas 2018-05-11 09:14:04 UTC
Created attachment 1434825 [details]
proc-pid-status

Comment 12 Douglas 2018-05-11 09:14:22 UTC
Created attachment 1434826 [details]
user-logs

Comment 13 Fedora Update System 2019-01-11 19:06:26 UTC
inkscape-0.92.3-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f9bfd58d0

Comment 14 Fedora Update System 2019-01-12 02:31:00 UTC
inkscape-0.92.3-9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f9bfd58d0

Comment 15 Fedora Update System 2019-01-15 08:16:18 UTC
inkscape-0.92.3-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5de93d92bd

Comment 16 Fedora Update System 2019-01-15 16:39:03 UTC
inkscape-0.92.3-11.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-85f17f2be2

Comment 17 Fedora Update System 2019-01-16 03:31:19 UTC
inkscape-0.92.3-11.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85f17f2be2

Comment 18 cornosier 2019-01-18 15:02:12 UTC
thank you for the correction

Comment 19 Fedora Update System 2019-01-18 17:57:03 UTC
inkscape-0.92.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1dd63e1bd4

Comment 20 Fedora Update System 2019-01-19 04:28:43 UTC
inkscape-0.92.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1dd63e1bd4

Comment 21 Fedora Update System 2019-01-21 02:02:22 UTC
inkscape-0.92.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.